package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceEntity;
/**
* 考勤机管理查询对象
*
* @author zxfei
* @date 2025-04-09
*/
public class DeviceQuery extends DeviceEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 开始 设备类型1考勤机 */
    private Integer deviceTypeStart;

    /** 结束 设备类型1考勤机 */
    private Integer deviceTypeEnd;

    /** 增加 设备类型1考勤机 */
    private Integer deviceTypeIncrement;

    /** 设备类型1考勤机列表 */
    private List <Integer> deviceTypeList;

    /** 设备类型1考勤机排除列表 */
    private List <Integer> deviceTypeNotList;

    /** Mac地址 */
    private List<String> deviceMacList;

    /** Mac地址排除列表 */
    private List <String> deviceMacNotList;
    /** 设备厂商 */
    private List<String> deviceFirmnameList;

    /** 设备厂商排除列表 */
    private List <String> deviceFirmnameNotList;
    /** 设备型号 */
    private List<String> modelNumList;

    /** 设备型号排除列表 */
    private List <String> modelNumNotList;
    /** 设备IP地址 */
    private List<String> ipList;

    /** 设备IP地址排除列表 */
    private List <String> ipNotList;
    /** 端口号 */
    private List<String> portList;

    /** 端口号排除列表 */
    private List <String> portNotList;
    /** 设备分辨率 */
    private List<String> resolutionList;

    /** 设备分辨率排除列表 */
    private List <String> resolutionNotList;
    /** 负责人 */
    private List<String> leadingOfficialList;

    /** 负责人排除列表 */
    private List <String> leadingOfficialNotList;
    /** 负责人电话 */
    private List<String> telephoneList;

    /** 负责人电话排除列表 */
    private List <String> telephoneNotList;
    /** 设备经度 */
    private List<String> longitudeList;

    /** 设备经度排除列表 */
    private List <String> longitudeNotList;
    /** 设备纬度 */
    private List<String> latitudeList;

    /** 设备纬度排除列表 */
    private List <String> latitudeNotList;
    /** 开始 所在楼宇 */
    private Integer buildingStart;

    /** 结束 所在楼宇 */
    private Integer buildingEnd;

    /** 增加 所在楼宇 */
    private Integer buildingIncrement;

    /** 所在楼宇列表 */
    private List <Integer> buildingList;

    /** 所在楼宇排除列表 */
    private List <Integer> buildingNotList;

    /** 开始 所在楼层 */
    private Integer floorStart;

    /** 结束 所在楼层 */
    private Integer floorEnd;

    /** 增加 所在楼层 */
    private Integer floorIncrement;

    /** 所在楼层列表 */
    private List <Integer> floorList;

    /** 所在楼层排除列表 */
    private List <Integer> floorNotList;

    /** 设备地址 */
    private List<String> addressList;

    /** 设备地址排除列表 */
    private List <String> addressNotList;
    /** 管理员账号 */
    private List<String> manageUserList;

    /** 管理员账号排除列表 */
    private List <String> manageUserNotList;
    /** 管理员密码 */
    private List<String> managePWDList;

    /** 管理员密码排除列表 */
    private List <String> managePWDNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 设备状态，0：未激活，1：离线:2：在线 */
    private Integer statusStart;

    /** 结束 设备状态，0：未激活，1：离线:2：在线 */
    private Integer statusEnd;

    /** 增加 设备状态，0：未激活，1：离线:2：在线 */
    private Integer statusIncrement;

    /** 设备状态，0：未激活，1：离线:2：在线列表 */
    private List <Integer> statusList;

    /** 设备状态，0：未激活，1：离线:2：在线排除列表 */
    private List <Integer> statusNotList;

    /** 开始 启停状态，0：停用,1：启用 */
    private Integer enabledStart;

    /** 结束 启停状态，0：停用,1：启用 */
    private Integer enabledEnd;

    /** 增加 启停状态，0：停用,1：启用 */
    private Integer enabledIncrement;

    /** 启停状态，0：停用,1：启用列表 */
    private List <Integer> enabledList;

    /** 启停状态，0：停用,1：启用排除列表 */
    private List <Integer> enabledNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceQuery> andConditionList;

    public DeviceQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
    * 获取 设备名称
    * @return deviceNameNotList
    */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameNotList
    */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
    * 获取 设备编码
    * @return deviceCodeList
    */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeList
    */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
    * 获取 设备编码
    * @return deviceCodeNotList
    */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeNotList
    */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
    * 获取 开始 设备类型1考勤机
    * @return deviceTypeStart
    */
    public Integer getDeviceTypeStart(){
        return this.deviceTypeStart;
    }

    /**
    * 设置 开始 设备类型1考勤机
    * @param deviceTypeStart
    */
    public void setDeviceTypeStart(Integer deviceTypeStart){
        this.deviceTypeStart = deviceTypeStart;
    }

    /**
    * 获取 结束 设备类型1考勤机
    * @return $deviceTypeEnd
    */
    public Integer getDeviceTypeEnd(){
        return this.deviceTypeEnd;
    }

    /**
    * 设置 结束 设备类型1考勤机
    * @param deviceTypeEnd
    */
    public void setDeviceTypeEnd(Integer deviceTypeEnd){
        this.deviceTypeEnd = deviceTypeEnd;
    }

    /**
    * 获取 增加 设备类型1考勤机
    * @return deviceTypeIncrement
    */
    public Integer getDeviceTypeIncrement(){
        return this.deviceTypeIncrement;
    }

    /**
    * 设置 增加 设备类型1考勤机
    * @param deviceTypeIncrement
    */
    public void setDeviceTypeIncrement(Integer deviceTypeIncrement){
        this.deviceTypeIncrement = deviceTypeIncrement;
    }

    /**
    * 获取 设备类型1考勤机
    * @return deviceTypeList
    */
    public List<Integer> getDeviceTypeList(){
        return this.deviceTypeList;
    }

    /**
    * 设置 设备类型1考勤机
    * @param deviceTypeList
    */
    public void setDeviceTypeList(List<Integer> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
    }

    /**
    * 获取 设备类型1考勤机
    * @return deviceTypeNotList
    */
    public List<Integer> getDeviceTypeNotList(){
        return this.deviceTypeNotList;
    }

    /**
    * 设置 设备类型1考勤机
    * @param deviceTypeNotList
    */
    public void setDeviceTypeNotList(List<Integer> deviceTypeNotList){
        this.deviceTypeNotList = deviceTypeNotList;
    }


    /**
    * 获取 Mac地址
    * @return deviceMacList
    */
    public List<String> getDeviceMacList(){
        return this.deviceMacList;
    }

    /**
    * 设置 Mac地址
    * @param deviceMacList
    */
    public void setDeviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
    }

    /**
    * 获取 Mac地址
    * @return deviceMacNotList
    */
    public List<String> getDeviceMacNotList(){
        return this.deviceMacNotList;
    }

    /**
    * 设置 Mac地址
    * @param deviceMacNotList
    */
    public void setDeviceMacNotList(List<String> deviceMacNotList){
        this.deviceMacNotList = deviceMacNotList;
    }

    /**
    * 获取 设备厂商
    * @return deviceFirmnameList
    */
    public List<String> getDeviceFirmnameList(){
        return this.deviceFirmnameList;
    }

    /**
    * 设置 设备厂商
    * @param deviceFirmnameList
    */
    public void setDeviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
    }

    /**
    * 获取 设备厂商
    * @return deviceFirmnameNotList
    */
    public List<String> getDeviceFirmnameNotList(){
        return this.deviceFirmnameNotList;
    }

    /**
    * 设置 设备厂商
    * @param deviceFirmnameNotList
    */
    public void setDeviceFirmnameNotList(List<String> deviceFirmnameNotList){
        this.deviceFirmnameNotList = deviceFirmnameNotList;
    }

    /**
    * 获取 设备型号
    * @return modelNumList
    */
    public List<String> getModelNumList(){
        return this.modelNumList;
    }

    /**
    * 设置 设备型号
    * @param modelNumList
    */
    public void setModelNumList(List<String> modelNumList){
        this.modelNumList = modelNumList;
    }

    /**
    * 获取 设备型号
    * @return modelNumNotList
    */
    public List<String> getModelNumNotList(){
        return this.modelNumNotList;
    }

    /**
    * 设置 设备型号
    * @param modelNumNotList
    */
    public void setModelNumNotList(List<String> modelNumNotList){
        this.modelNumNotList = modelNumNotList;
    }

    /**
    * 获取 设备IP地址
    * @return ipList
    */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
    * 设置 设备IP地址
    * @param ipList
    */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }

    /**
    * 获取 设备IP地址
    * @return ipNotList
    */
    public List<String> getIpNotList(){
        return this.ipNotList;
    }

    /**
    * 设置 设备IP地址
    * @param ipNotList
    */
    public void setIpNotList(List<String> ipNotList){
        this.ipNotList = ipNotList;
    }

    /**
    * 获取 端口号
    * @return portList
    */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
    * 设置 端口号
    * @param portList
    */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }

    /**
    * 获取 端口号
    * @return portNotList
    */
    public List<String> getPortNotList(){
        return this.portNotList;
    }

    /**
    * 设置 端口号
    * @param portNotList
    */
    public void setPortNotList(List<String> portNotList){
        this.portNotList = portNotList;
    }

    /**
    * 获取 设备分辨率
    * @return resolutionList
    */
    public List<String> getResolutionList(){
        return this.resolutionList;
    }

    /**
    * 设置 设备分辨率
    * @param resolutionList
    */
    public void setResolutionList(List<String> resolutionList){
        this.resolutionList = resolutionList;
    }

    /**
    * 获取 设备分辨率
    * @return resolutionNotList
    */
    public List<String> getResolutionNotList(){
        return this.resolutionNotList;
    }

    /**
    * 设置 设备分辨率
    * @param resolutionNotList
    */
    public void setResolutionNotList(List<String> resolutionNotList){
        this.resolutionNotList = resolutionNotList;
    }

    /**
    * 获取 负责人
    * @return leadingOfficialList
    */
    public List<String> getLeadingOfficialList(){
        return this.leadingOfficialList;
    }

    /**
    * 设置 负责人
    * @param leadingOfficialList
    */
    public void setLeadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
    }

    /**
    * 获取 负责人
    * @return leadingOfficialNotList
    */
    public List<String> getLeadingOfficialNotList(){
        return this.leadingOfficialNotList;
    }

    /**
    * 设置 负责人
    * @param leadingOfficialNotList
    */
    public void setLeadingOfficialNotList(List<String> leadingOfficialNotList){
        this.leadingOfficialNotList = leadingOfficialNotList;
    }

    /**
    * 获取 负责人电话
    * @return telephoneList
    */
    public List<String> getTelephoneList(){
        return this.telephoneList;
    }

    /**
    * 设置 负责人电话
    * @param telephoneList
    */
    public void setTelephoneList(List<String> telephoneList){
        this.telephoneList = telephoneList;
    }

    /**
    * 获取 负责人电话
    * @return telephoneNotList
    */
    public List<String> getTelephoneNotList(){
        return this.telephoneNotList;
    }

    /**
    * 设置 负责人电话
    * @param telephoneNotList
    */
    public void setTelephoneNotList(List<String> telephoneNotList){
        this.telephoneNotList = telephoneNotList;
    }

    /**
    * 获取 设备经度
    * @return longitudeList
    */
    public List<String> getLongitudeList(){
        return this.longitudeList;
    }

    /**
    * 设置 设备经度
    * @param longitudeList
    */
    public void setLongitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
    }

    /**
    * 获取 设备经度
    * @return longitudeNotList
    */
    public List<String> getLongitudeNotList(){
        return this.longitudeNotList;
    }

    /**
    * 设置 设备经度
    * @param longitudeNotList
    */
    public void setLongitudeNotList(List<String> longitudeNotList){
        this.longitudeNotList = longitudeNotList;
    }

    /**
    * 获取 设备纬度
    * @return latitudeList
    */
    public List<String> getLatitudeList(){
        return this.latitudeList;
    }

    /**
    * 设置 设备纬度
    * @param latitudeList
    */
    public void setLatitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
    }

    /**
    * 获取 设备纬度
    * @return latitudeNotList
    */
    public List<String> getLatitudeNotList(){
        return this.latitudeNotList;
    }

    /**
    * 设置 设备纬度
    * @param latitudeNotList
    */
    public void setLatitudeNotList(List<String> latitudeNotList){
        this.latitudeNotList = latitudeNotList;
    }

    /**
    * 获取 开始 所在楼宇
    * @return buildingStart
    */
    public Integer getBuildingStart(){
        return this.buildingStart;
    }

    /**
    * 设置 开始 所在楼宇
    * @param buildingStart
    */
    public void setBuildingStart(Integer buildingStart){
        this.buildingStart = buildingStart;
    }

    /**
    * 获取 结束 所在楼宇
    * @return $buildingEnd
    */
    public Integer getBuildingEnd(){
        return this.buildingEnd;
    }

    /**
    * 设置 结束 所在楼宇
    * @param buildingEnd
    */
    public void setBuildingEnd(Integer buildingEnd){
        this.buildingEnd = buildingEnd;
    }

    /**
    * 获取 增加 所在楼宇
    * @return buildingIncrement
    */
    public Integer getBuildingIncrement(){
        return this.buildingIncrement;
    }

    /**
    * 设置 增加 所在楼宇
    * @param buildingIncrement
    */
    public void setBuildingIncrement(Integer buildingIncrement){
        this.buildingIncrement = buildingIncrement;
    }

    /**
    * 获取 所在楼宇
    * @return buildingList
    */
    public List<Integer> getBuildingList(){
        return this.buildingList;
    }

    /**
    * 设置 所在楼宇
    * @param buildingList
    */
    public void setBuildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
    }

    /**
    * 获取 所在楼宇
    * @return buildingNotList
    */
    public List<Integer> getBuildingNotList(){
        return this.buildingNotList;
    }

    /**
    * 设置 所在楼宇
    * @param buildingNotList
    */
    public void setBuildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
    }


    /**
    * 获取 开始 所在楼层
    * @return floorStart
    */
    public Integer getFloorStart(){
        return this.floorStart;
    }

    /**
    * 设置 开始 所在楼层
    * @param floorStart
    */
    public void setFloorStart(Integer floorStart){
        this.floorStart = floorStart;
    }

    /**
    * 获取 结束 所在楼层
    * @return $floorEnd
    */
    public Integer getFloorEnd(){
        return this.floorEnd;
    }

    /**
    * 设置 结束 所在楼层
    * @param floorEnd
    */
    public void setFloorEnd(Integer floorEnd){
        this.floorEnd = floorEnd;
    }

    /**
    * 获取 增加 所在楼层
    * @return floorIncrement
    */
    public Integer getFloorIncrement(){
        return this.floorIncrement;
    }

    /**
    * 设置 增加 所在楼层
    * @param floorIncrement
    */
    public void setFloorIncrement(Integer floorIncrement){
        this.floorIncrement = floorIncrement;
    }

    /**
    * 获取 所在楼层
    * @return floorList
    */
    public List<Integer> getFloorList(){
        return this.floorList;
    }

    /**
    * 设置 所在楼层
    * @param floorList
    */
    public void setFloorList(List<Integer> floorList){
        this.floorList = floorList;
    }

    /**
    * 获取 所在楼层
    * @return floorNotList
    */
    public List<Integer> getFloorNotList(){
        return this.floorNotList;
    }

    /**
    * 设置 所在楼层
    * @param floorNotList
    */
    public void setFloorNotList(List<Integer> floorNotList){
        this.floorNotList = floorNotList;
    }


    /**
    * 获取 设备地址
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 设备地址
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
    * 获取 设备地址
    * @return addressNotList
    */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
    * 设置 设备地址
    * @param addressNotList
    */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
    * 获取 管理员账号
    * @return manageUserList
    */
    public List<String> getManageUserList(){
        return this.manageUserList;
    }

    /**
    * 设置 管理员账号
    * @param manageUserList
    */
    public void setManageUserList(List<String> manageUserList){
        this.manageUserList = manageUserList;
    }

    /**
    * 获取 管理员账号
    * @return manageUserNotList
    */
    public List<String> getManageUserNotList(){
        return this.manageUserNotList;
    }

    /**
    * 设置 管理员账号
    * @param manageUserNotList
    */
    public void setManageUserNotList(List<String> manageUserNotList){
        this.manageUserNotList = manageUserNotList;
    }

    /**
    * 获取 管理员密码
    * @return managePWDList
    */
    public List<String> getManagePWDList(){
        return this.managePWDList;
    }

    /**
    * 设置 管理员密码
    * @param managePWDList
    */
    public void setManagePWDList(List<String> managePWDList){
        this.managePWDList = managePWDList;
    }

    /**
    * 获取 管理员密码
    * @return managePWDNotList
    */
    public List<String> getManagePWDNotList(){
        return this.managePWDNotList;
    }

    /**
    * 设置 管理员密码
    * @param managePWDNotList
    */
    public void setManagePWDNotList(List<String> managePWDNotList){
        this.managePWDNotList = managePWDNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 设备状态，0：未激活，1：离线:2：在线
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 设备状态，0：未激活，1：离线:2：在线
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 设备状态，0：未激活，1：离线:2：在线
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 设备状态，0：未激活，1：离线:2：在线
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 设备状态，0：未激活，1：离线:2：在线
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 设备状态，0：未激活，1：离线:2：在线
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 设备状态，0：未激活，1：离线:2：在线
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 设备状态，0：未激活，1：离线:2：在线
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 设备状态，0：未激活，1：离线:2：在线
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 设备状态，0：未激活，1：离线:2：在线
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 开始 启停状态，0：停用,1：启用
    * @return enabledStart
    */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
    * 设置 开始 启停状态，0：停用,1：启用
    * @param enabledStart
    */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
    * 获取 结束 启停状态，0：停用,1：启用
    * @return $enabledEnd
    */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
    * 设置 结束 启停状态，0：停用,1：启用
    * @param enabledEnd
    */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
    * 获取 增加 启停状态，0：停用,1：启用
    * @return enabledIncrement
    */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
    * 设置 增加 启停状态，0：停用,1：启用
    * @param enabledIncrement
    */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
    * 获取 启停状态，0：停用,1：启用
    * @return enabledList
    */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
    * 设置 启停状态，0：停用,1：启用
    * @param enabledList
    */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
    * 获取 启停状态，0：停用,1：启用
    * @return enabledNotList
    */
    public List<Integer> getEnabledNotList(){
        return this.enabledNotList;
    }

    /**
    * 设置 启停状态，0：停用,1：启用
    * @param enabledNotList
    */
    public void setEnabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DeviceQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DeviceQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DeviceQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DeviceQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DeviceQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public DeviceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 设备名称
    * @param deviceName
    */
    public DeviceQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public DeviceQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 设备编码
    * @param deviceCode
    */
    public DeviceQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
		return this;
    }

    /**
    * 设置 设备编码
    * @param deviceCodeList
    */
    public DeviceQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
		return this;
    }

    /**
    * 设置  设备类型1考勤机
    * @param deviceType
    */
    public DeviceQuery deviceType(Integer deviceType){
	    setDeviceType(deviceType);
		return this;
    }
	
	 /**
    * 设置 开始 设备类型1考勤机
    * @param deviceTypeStart
    */
    public DeviceQuery deviceTypeStart(Integer deviceTypeStart){
		this.deviceTypeStart = deviceTypeStart;
		return this;
    }

    /**
    * 设置 结束 设备类型1考勤机
    * @param deviceTypeEnd
    */
    public DeviceQuery deviceTypeEnd(Integer deviceTypeEnd){
		this.deviceTypeEnd = deviceTypeEnd;
		return this;
    }

    /**
    * 设置 增加 设备类型1考勤机
    * @param deviceTypeIncrement
    */
    public DeviceQuery deviceTypeIncrement(Integer deviceTypeIncrement){
		this.deviceTypeIncrement = deviceTypeIncrement;
		return this;
    }

    /**
    * 设置 设备类型1考勤机
    * @param deviceTypeList
    */
    public DeviceQuery deviceTypeList(List<Integer> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
		return this;
        }

        /**
        * 设置 设备类型1考勤机
        * @param deviceTypeNotList
        */
        public DeviceQuery deviceTypeNotList(List<Integer> deviceTypeNotList){
        this.deviceTypeNotList = deviceTypeNotList;
        return this;
        }


	/**
    * 设置 Mac地址
    * @param deviceMac
    */
    public DeviceQuery deviceMac(String deviceMac){
        setDeviceMac(deviceMac);
		return this;
    }

    /**
    * 设置 Mac地址
    * @param deviceMacList
    */
    public DeviceQuery deviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
		return this;
    }


	/**
    * 设置 设备厂商
    * @param deviceFirmname
    */
    public DeviceQuery deviceFirmname(String deviceFirmname){
        setDeviceFirmname(deviceFirmname);
		return this;
    }

    /**
    * 设置 设备厂商
    * @param deviceFirmnameList
    */
    public DeviceQuery deviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
		return this;
    }


	/**
    * 设置 设备型号
    * @param modelNum
    */
    public DeviceQuery modelNum(String modelNum){
        setModelNum(modelNum);
		return this;
    }

    /**
    * 设置 设备型号
    * @param modelNumList
    */
    public DeviceQuery modelNumList(List<String> modelNumList){
        this.modelNumList = modelNumList;
		return this;
    }


	/**
    * 设置 设备IP地址
    * @param ip
    */
    public DeviceQuery ip(String ip){
        setIp(ip);
		return this;
    }

    /**
    * 设置 设备IP地址
    * @param ipList
    */
    public DeviceQuery ipList(List<String> ipList){
        this.ipList = ipList;
		return this;
    }


	/**
    * 设置 端口号
    * @param port
    */
    public DeviceQuery port(String port){
        setPort(port);
		return this;
    }

    /**
    * 设置 端口号
    * @param portList
    */
    public DeviceQuery portList(List<String> portList){
        this.portList = portList;
		return this;
    }


	/**
    * 设置 设备分辨率
    * @param resolution
    */
    public DeviceQuery resolution(String resolution){
        setResolution(resolution);
		return this;
    }

    /**
    * 设置 设备分辨率
    * @param resolutionList
    */
    public DeviceQuery resolutionList(List<String> resolutionList){
        this.resolutionList = resolutionList;
		return this;
    }


	/**
    * 设置 负责人
    * @param leadingOfficial
    */
    public DeviceQuery leadingOfficial(String leadingOfficial){
        setLeadingOfficial(leadingOfficial);
		return this;
    }

    /**
    * 设置 负责人
    * @param leadingOfficialList
    */
    public DeviceQuery leadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
		return this;
    }


	/**
    * 设置 负责人电话
    * @param telephone
    */
    public DeviceQuery telephone(String telephone){
        setTelephone(telephone);
		return this;
    }

    /**
    * 设置 负责人电话
    * @param telephoneList
    */
    public DeviceQuery telephoneList(List<String> telephoneList){
        this.telephoneList = telephoneList;
		return this;
    }


	/**
    * 设置 设备经度
    * @param longitude
    */
    public DeviceQuery longitude(String longitude){
        setLongitude(longitude);
		return this;
    }

    /**
    * 设置 设备经度
    * @param longitudeList
    */
    public DeviceQuery longitudeList(List<String> longitudeList){
        this.longitudeList = longitudeList;
		return this;
    }


	/**
    * 设置 设备纬度
    * @param latitude
    */
    public DeviceQuery latitude(String latitude){
        setLatitude(latitude);
		return this;
    }

    /**
    * 设置 设备纬度
    * @param latitudeList
    */
    public DeviceQuery latitudeList(List<String> latitudeList){
        this.latitudeList = latitudeList;
		return this;
    }

    /**
    * 设置  所在楼宇
    * @param building
    */
    public DeviceQuery building(Integer building){
	    setBuilding(building);
		return this;
    }
	
	 /**
    * 设置 开始 所在楼宇
    * @param buildingStart
    */
    public DeviceQuery buildingStart(Integer buildingStart){
		this.buildingStart = buildingStart;
		return this;
    }

    /**
    * 设置 结束 所在楼宇
    * @param buildingEnd
    */
    public DeviceQuery buildingEnd(Integer buildingEnd){
		this.buildingEnd = buildingEnd;
		return this;
    }

    /**
    * 设置 增加 所在楼宇
    * @param buildingIncrement
    */
    public DeviceQuery buildingIncrement(Integer buildingIncrement){
		this.buildingIncrement = buildingIncrement;
		return this;
    }

    /**
    * 设置 所在楼宇
    * @param buildingList
    */
    public DeviceQuery buildingList(List<Integer> buildingList){
        this.buildingList = buildingList;
		return this;
        }

        /**
        * 设置 所在楼宇
        * @param buildingNotList
        */
        public DeviceQuery buildingNotList(List<Integer> buildingNotList){
        this.buildingNotList = buildingNotList;
        return this;
        }

    /**
    * 设置  所在楼层
    * @param floor
    */
    public DeviceQuery floor(Integer floor){
	    setFloor(floor);
		return this;
    }
	
	 /**
    * 设置 开始 所在楼层
    * @param floorStart
    */
    public DeviceQuery floorStart(Integer floorStart){
		this.floorStart = floorStart;
		return this;
    }

    /**
    * 设置 结束 所在楼层
    * @param floorEnd
    */
    public DeviceQuery floorEnd(Integer floorEnd){
		this.floorEnd = floorEnd;
		return this;
    }

    /**
    * 设置 增加 所在楼层
    * @param floorIncrement
    */
    public DeviceQuery floorIncrement(Integer floorIncrement){
		this.floorIncrement = floorIncrement;
		return this;
    }

    /**
    * 设置 所在楼层
    * @param floorList
    */
    public DeviceQuery floorList(List<Integer> floorList){
        this.floorList = floorList;
		return this;
        }

        /**
        * 设置 所在楼层
        * @param floorNotList
        */
        public DeviceQuery floorNotList(List<Integer> floorNotList){
        this.floorNotList = floorNotList;
        return this;
        }


	/**
    * 设置 设备地址
    * @param address
    */
    public DeviceQuery address(String address){
        setAddress(address);
		return this;
    }

    /**
    * 设置 设备地址
    * @param addressList
    */
    public DeviceQuery addressList(List<String> addressList){
        this.addressList = addressList;
		return this;
    }


	/**
    * 设置 管理员账号
    * @param manageUser
    */
    public DeviceQuery manageUser(String manageUser){
        setManageUser(manageUser);
		return this;
    }

    /**
    * 设置 管理员账号
    * @param manageUserList
    */
    public DeviceQuery manageUserList(List<String> manageUserList){
        this.manageUserList = manageUserList;
		return this;
    }


	/**
    * 设置 管理员密码
    * @param managePWD
    */
    public DeviceQuery managePWD(String managePWD){
        setManagePWD(managePWD);
		return this;
    }

    /**
    * 设置 管理员密码
    * @param managePWDList
    */
    public DeviceQuery managePWDList(List<String> managePWDList){
        this.managePWDList = managePWDList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DeviceQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DeviceQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  设备状态，0：未激活，1：离线:2：在线
    * @param status
    */
    public DeviceQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 设备状态，0：未激活，1：离线:2：在线
    * @param statusStart
    */
    public DeviceQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 设备状态，0：未激活，1：离线:2：在线
    * @param statusEnd
    */
    public DeviceQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 设备状态，0：未激活，1：离线:2：在线
    * @param statusIncrement
    */
    public DeviceQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 设备状态，0：未激活，1：离线:2：在线
    * @param statusList
    */
    public DeviceQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 设备状态，0：未激活，1：离线:2：在线
        * @param statusNotList
        */
        public DeviceQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }

    /**
    * 设置  启停状态，0：停用,1：启用
    * @param enabled
    */
    public DeviceQuery enabled(Integer enabled){
	    setEnabled(enabled);
		return this;
    }
	
	 /**
    * 设置 开始 启停状态，0：停用,1：启用
    * @param enabledStart
    */
    public DeviceQuery enabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
		return this;
    }

    /**
    * 设置 结束 启停状态，0：停用,1：启用
    * @param enabledEnd
    */
    public DeviceQuery enabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
		return this;
    }

    /**
    * 设置 增加 启停状态，0：停用,1：启用
    * @param enabledIncrement
    */
    public DeviceQuery enabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
		return this;
    }

    /**
    * 设置 启停状态，0：停用,1：启用
    * @param enabledList
    */
    public DeviceQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
		return this;
        }

        /**
        * 设置 启停状态，0：停用,1：启用
        * @param enabledNotList
        */
        public DeviceQuery enabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeviceQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeviceQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeviceQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeviceQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeviceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DeviceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DeviceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}